/*******************************************
 Hello.c - Hello World Demo fr AT89C51RB2

 Initialisiert die serielle Schnittstelle
 fr 9600 bd, 8 Datenbit, 1 stoppbit und
 sendet eine Zeichenkette.

 Auf dem angeschlossenen PC muss ein Terminal-
 programm laufen, z.B. Hyperterminal.
 
 Vor einer Flash-Programmierung des MExS-Board
 mit FLIP muss das Terminalprogramm beendet
 werden weil sonst der COM-Port des PC
 blockiert ist.

*******************************************/
#include <reg51.h>
#include <stdio.h>

near unsigned char BDRCON @ 0x9B;   // Baud Rate Control Register
near unsigned char BRL    @ 0x9A;   // Baud Rate Reload Register

void main(void){

  BDRCON = 0x1E;        // Baudrate Generator einschalten 
  BRL    = 238;         // Teiler fr 9600 bd 
                        //BRL = 256-((11,0592MHz/2)/(32*9600))
  SCON  = 0x52;         // SCON: mode 1, 8-bit UART, enable rcvr

  printf("Hello World 2004\n");
  getc();  // Wait for a key
}